actor: Tester
paths:
  tests: tests
  log: tests/_output
  data: tests/_data
  support: tests/_support
  envs: tests/_envs
bootstrap: _bootstrap.php
coverage:
  enabled: true
  include:
    - src/*
  exclude:
    - src/etc/*
    - src/migrations/*
    - src/templates/*
    - src/translations/*
    - src/web/assets/*
    - docs/*
    - templates/*
    - tests/*
    - vendor/*
params:
  - env
  - tests/.env
modules:
  config:
    \craft\test\Craft:
      configFile: 'tests/_craft/config/test.php'
      entryUrl: 'http://test.craftcms.test/index.php'
      projectConfig: {}
      migrations: []
      plugins:
        commerce:
          class: '\craft\commerce\Plugin'
          handle: commerce
      cleanup: true
      transaction: true
      dbSetup: {clean: true, setupCraft: true}
      fullMock: false
groups:
  elements: [tests/unit/elements]
  models: [tests/unit/models]
  services: [tests/unit/services]
  gql: [tests/unit/gql]
